## org.codehaus.groovy.grails.commons
Interface InjectableGrailsClass

All Superinterfaces:
  GrailsClass

All Known Subinterfaces:
  GrailsCodecClass, GrailsControllerClass, GrailsDataSource, GrailsFiltersClass, GrailsServiceClass, GrailsTagLibClass

All Known Implementing Classes:
  AbstractInjectableGrailsClass, DefaultGrailsCodecClass, DefaultGrailsControllerClass, DefaultGrailsServiceClass, DefaultGrailsTagLibClass

    public interface InjectableGrailsClass

extends GrailsClass

Represents a Grails class that is to be configured in Spring and as such is injectable.

Since:
  Jul 2, 2005
Author:
  Steven Devijver

Method Summary
`boolean` `byName()` If autowiring by name is enabled.
`boolean` `byType()` If autowiring by type is enabled.
`boolean` `getAvailable()` If class should be configured for dependency injection.

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance`

Method Detail

### byName

    boolean byName()

  If autowiring by name is enabled.

  Returns:
    autowiring by name

### byType

    boolean byType()

  If autowiring by type is enabled.

  Returns:
    autowiring by type

### getAvailable

    boolean getAvailable()

  If class should be configured for dependency injection.

  Returns:
    available for dependency injection

Copyright (c) 2005-2009 The Grails project